<template>

  <h1>App.vue</h1>
  App.vue's data store "state": {{state}}
  <br>
  ...can be used by other components in both directions:
  <br>
  <input type="text" v-model="state.user">
  <Component1 msg="Component1.vue says:"/>
  <Component2 />
</template>

<script>

import Component1 from './components/component1.vue'
import Component2 from './components/component2.vue'

import { useState } from './store';

  export default {
    setup() {
      return { state: useState() };
    },
    components:{
      Component1:Component1,
      Component2:Component2
    }
  };
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
